# $Revision: 1.52 $, $Date: 2008/10/12 15:19:46 $
%define		module		PyKDE
Summary:	Python bindings for KDE
Summary(pl.UTF-8):	Dowiązania do KDE dla Pythona
Name:		python-%{module}
Version:	3.16.1
Release:	4
Epoch:		1
License:	GPL
Group:		Libraries/Python
Source0:	http://www.riverbankcomputing.com/Downloads/PyKDE3/%{module}-%{version}.tar.bz2
# Source0-md5:	986e67ced4753cac5a4b7be8031ad64e
Patch0:		%{name}-make_install.patch
Patch1:		%{name}-py2.5.patch
Patch2:		%{name}-sip.patch
URL:		http://www.riverbankcomputing.co.uk/pykde/index.php
BuildRequires:	kdebase-common-filemanagement
BuildRequires:	kdelibs-devel >= 9:3.5.0
BuildRequires:	python-PyQt-devel >= 3.17
BuildRequires:	rpm-pythonprov
BuildRequires:	sip >= 2:4.7.3
%pyrequires_eq	python-libs
Requires:	OpenGL
Requires:	python-PyQt >= 3.17
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sipfilesdir		%{_datadir}/sip

%description
PyKDE is a set of Python bindings for the KDE desktop environment. The
bindings are implemented as a set of Python modules: dcop, kdecore,
kdesu, kdefx (KDE 3.0 and later), kdeui, kio, kfile, kparts, khtml,
kjs, kspell and kdeprint (KDE 2.2.0 and later). The modules correspond
to libraries in the kdelibs package. PyKDE supports nearly all classes
and methods in these libraries.

%description -l pl.UTF-8
PyKDE jest zbiorem dowiązań do KDE dla języka Python. Dowiązania są
zaimplementowane jako zbiór modułów Pythona: dcop, kdecore, kdesu,
kdefix (KDE 3.0 i późniejsze), kdeui, kio, kfile, kparts, khtml, kjs,
kspell i kdeprint (KDE 2.2.0 i późniejsze). Moduły odpowiadają
bibliotekom w pakiecie kdelibs. PyKDE wspiera prawie wszystkie klasy i
metody w wymienionych bibliotekach.

%package devel
Summary:	Files needed to build other bindings based on KDE
Summary(pl.UTF-8):	Pliki potrzebne do budowania innych dowiązań bazowanych na KDE
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	python-sip-devel

%description devel
Files needed to build other bindings for C++ classes that inherit from
any of the KDE classes.

%description devel -l pl.UTF-8
Pliki potrzebne do budowania innych dowiązań do klas C++
dziedziczących z dowolnej klasy KDE.

%prep
%setup -q -n PyKDE-%{version}
#% patch0 -p1
#%patch1 -p1

%{__sed} -i -e '1s,#!.*/bin/env python,#!%{__python},' contrib/kdepyuic

%build
python configure.py \
	-c -j 10 \
	-d %{py_sitedir} \
	-n %{_libdir} \
	-v %{_sipfilesdir} \
	-k %{_prefix}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# FIXME: shouldn't this library be packaged?
ln -sf kde3/libkonsolepart.so $RPM_BUILD_ROOT%{_libdir}/libkonsolepart.so

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

install contrib/kdepyuic $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%{py_sitedir}/*.py[co]
%attr(755,root,root) %{py_sitedir}/*.so

%files devel
%defattr(644,root,root,755)
%{_sipfilesdir}/*
%attr(755,root,root) %{_bindir}/kdepyuic

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PyKDE.spec,v $
Revision 1.52  2008/10/12 15:19:46  cactus
- rel 4 : for rebuild with new python 2.6

Revision 1.51  2008/10/03 17:57:34  arekm
- release 3

Revision 1.50  2008/07/07 12:06:45  matkor
- Release 2. BR: sip >= 2:4.7.3. Requires sip API v3.7 to work.

Revision 1.49  2008-03-19 23:49:56  cactus
- up to 3.16.1
- rel 1.
- with this version there is no problem with import kpart

Revision 1.48  2007-10-08 17:37:36  blekot
- added patch against sip 4.7
- rel 2

Revision 1.47  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.46  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.45  2007/02/04 22:22:38  arekm
- python 2.5 patch

Revision 1.44  2006/11/14 11:30:06  glen
- update last commit message
- proper perms for *.so
- do %py_postclean
- use python interp for kdepyuic

Revision 1.43  2006/11/14 11:23:23  glen
- needs PyQt >= 3.17 to build
- move kdepyuic to -devel
- do not package symlink with $RPM_BUILD_ROOT

Revision 1.42  2006/11/14 08:53:51  matkor
- Release 1. STBR for Ac.

Revision 1.41  2006/10/04 23:28:30  charles
- konsolepart req. KDE 3.5.0 or greater, so updated BR

Revision 1.40  2006/10/02 07:49:42  adamg
- BuildRequires: kdebase-common-filemanagement (links against libkonsolepart)

Revision 1.39  2006/09/25 12:24:49  rotom
- updated to 3.16.0
- added make_install patch

Revision 1.38  2006/07/02 13:10:13  shadzik
- add -k %{_prefix} to configure to properly find kde headers

Revision 1.37  2006/04/27 12:23:34  matkor
- Release 2.
- Fixed build (at least on my machine)
- STBR for Ac - current Ac version not only is absolutely broken but also
      breaks apps (eric3) trying to use PyKDE.

Revision 1.36  2006/04/24 19:05:11  charles
- updated to snap 20060422 (works with KDE 3.5.2)
- official version is 3.15.2, added Epoch 1
- BR: sip >= 2:4.4.1
- added -devel subpackage

Revision 1.35  2006/01/14 16:52:53  glen
- package kdepyuic, needed by initng/gui/runlevelEditor build

Revision 1.34  2005/11/07 22:39:44  charles
- updated to latest snap 20051013
- updated BRs, cleanup

Revision 1.33  2005/05/06 21:46:46  arekm
- md5

Revision 1.32  2005/05/06 21:10:59  arekm
- up to 4.0.0 snapshot kde 3.4 compatible

Revision 1.31  2005/05/06 16:44:08  arekm
- added docs and debian patch

Revision 1.30  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.29  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.28  2004/12/27 17:55:22  saq
- temporary fix for kde 3.3.2 build (should be fixed in next version)
- release 5

Revision 1.27  2004/10/18 20:09:08  matkor
- Release 4. Tiny file list fix.

Revision 1.26  2004/10/17 06:46:01  ankry
- specas -> tabs

Revision 1.25  2004/10/17 00:17:20  matkor
- Release 3. Higher BR.

Revision 1.24  2004/10/14 15:32:46  matkor
- Version 3.11.3-1.

Revision 1.23  2004/07/28 08:03:17  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.22  2004/06/17 15:44:28  matkor
- Version 3.11.1-1

Revision 1.21  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.20  2004/04/23 18:13:13  matkor
- Version alpha6-1

Revision 1.19  2004/03/12 11:34:49  matkor
- sipdir -> _sipfilesdir %{_datadir}/sip unification.

Revision 1.18  2004/03/03 12:04:31  qboosh
- fix for copy-pasto in configure.py

Revision 1.17  2004/03/01 16:05:20  qboosh
- release .2

Revision 1.16  2004/03/01 15:40:04  qboosh
- pass KDE libdir (-n) for lib64 support, use optflags
- removed BR python-static - if it's broken, don't hide it

Revision 1.15  2004/03/01 12:22:14  matkor
- Version 3.11. alpha 4. Release 1.

Revision 1.14  2003/11/11 01:25:29  matkor
- Config fixes. Strange BR: python-static added.

Revision 1.13  2003/11/10 16:11:43  matkor
- Last commit was lame. Version 3.8.0 Release 0.1 NFY.

Revision 1.12  2003/11/10 16:02:17  matkor
- Version 3.13. Release 5.1. Fails on configure, I don't know how to fix it:  configure: error: Qt (>= Qt 2.2.2) (libraries) not found.

Revision 1.11  2003/10/19 15:59:38  matkor
- Version 3.8rc2. Patch for python 2.3 (by Tomasz Kolaj) added. Untested.

Revision 1.10  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.9  2003/08/18 10:49:57  matkor
- Merged from Ra. Fixes for KDE 3.1.3. Not tested on NEST/AC.

Revision 1.8.2.6  2003/08/18 10:44:41  matkor
- Version 3.7-4. Release 1. Build proces, and KDE 3.1.3 changes only.

Revision 1.8.2.5  2003/08/17 13:43:21  matkor
- Version 3.7-4. Works with KDE 3.1.3. New build script. Builds, does not isntall. NFY.

Revision 1.8.2.4  2003/08/10 09:49:03  matkor
- Cosmetics.

Revision 1.8.2.3  2003/08/08 16:36:50  matkor
- Forgotten trick to fool PyKDE build system.

Revision 1.8.2.2  2003/08/08 16:25:03  matkor
- Release 2. Patch fixing setShared args num added.

Revision 1.8.2.1  2003/08/08 10:51:03  matkor
- Version 3.7-2. Release 1. STBR for Ra (after installing freshly build python-PyQt-devel-3.7).

Revision 1.5  2003/04/17 11:38:28  matkor
- Added qt_styles_as_plugins_fix.patch allowing use Qt styles
  as builded in PLD.
- Fixed descriptions and some final cleaning.
- Builds, works.

Revision 1.4  2003/04/16 17:10:44  matkor
- Back to 3.5. Removed unworking patch for snap sip versions. Now compiles. Fails on linking. NfY.

Revision 1.3  2003/04/15 22:31:54  matkor
- remove_modules_from_sipnames.patch added, but still not builds.

Revision 1.2  2003/04/15 14:20:58  matkor
- Initial spec. Still doesn't build.
